summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Parpart <trapni@gentoo.org>2005-02-17 05:30:33 +0000
committerChristian Parpart <trapni@gentoo.org>2005-02-17 05:30:33 +0000
commitd3f5d2933fc3987fbfba77ffc971b59556f40cc2 (patch)
tree041507b4f03eaeb092a7918173ea0ebd9d0b44f7 /dev-dotnet/xsp/files
parentmodule .conf cleanup (diff)
downloadhistorical-d3f5d2933fc3987fbfba77ffc971b59556f40cc2.tar.gz
historical-d3f5d2933fc3987fbfba77ffc971b59556f40cc2.tar.bz2
historical-d3f5d2933fc3987fbfba77ffc971b59556f40cc2.zip
care about bug 70943
Package-Manager: portage-2.0.51-r15
Diffstat (limited to 'dev-dotnet/xsp/files')
-rw-r--r--dev-dotnet/xsp/files/mod-mono-server.confd30
-rw-r--r--dev-dotnet/xsp/files/mod-mono-server.initd70
2 files changed, 100 insertions, 0 deletions
diff --git a/dev-dotnet/xsp/files/mod-mono-server.confd b/dev-dotnet/xsp/files/mod-mono-server.confd
new file mode 100644
index 000000000000..5542687aafe2
--- /dev/null
+++ b/dev-dotnet/xsp/files/mod-mono-server.confd
@@ -0,0 +1,30 @@
+# Config file for /etc/init.d/mod-mono-server
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/mod-mono-server.confd,v 1.1 2005/02/17 05:30:33 trapni Exp $
+
+# Configuration directives for mod-mono-server.exe. For more information on
+# these variables, see the man page for xsp(1).
+
+# This is the document root; trailing slash is not necessary
+#MonoServerRootDir="/usr/share/doc/xsp/test"
+
+# Directory to search for files with an `.webapp' extension.
+#MonoApplicationsConfigDir="/usr/share/doc/xsp/test"
+
+# Comma separated list of directories (in the form virtual:real) for all
+# applications managed by the server. For example:
+# /app1:/var/www/localhost/htdocs/app1,/app2:/var/www/localhost/htdocs/app2
+MonoApplications="/mono:/usr/share/doc/xsp/test"
+
+# The communication channel used between mod-mono-server and mod_mono.
+# unix - A unix socket
+# tcp - A TCP connection
+MonoServerChannel="unix"
+
+# When the comm. channel is "unix", the local filename used by the socket.
+UnixSocketFileName="/tmp/mod_mono_server"
+
+# When the comm. channel is "tcp", IP address for the server to listen on.
+#MonoServerAddress=127.0.0.1
+
+# When the comm. channel is "tcp", port for the server to listen on.
+#MonoServerPort=8080
diff --git a/dev-dotnet/xsp/files/mod-mono-server.initd b/dev-dotnet/xsp/files/mod-mono-server.initd
new file mode 100644
index 000000000000..5c475d5d459c
--- /dev/null
+++ b/dev-dotnet/xsp/files/mod-mono-server.initd
@@ -0,0 +1,70 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/mod-mono-server.initd,v 1.1 2005/02/17 05:30:33 trapni Exp $
+
+depend() {
+ use net
+ after dotnet
+}
+
+start() {
+ [ -z "$MonoServerRootDir" ] && \
+ MonoServerRootDir="/usr/share/doc/xsp/test"
+ [ -z "$MonoApplications" ] && \
+ MonoApplications="/mono:/usr/share/doc/xsp/test,/:."
+ [ -z "$UnixSocketFileName" ] && \
+ UnixSocketFileName="/tmp/mod_mono_server"
+ [ -z "$MonoServerAddress" ] && \
+ MonoServerAddress=127.0.0.1
+ [ -z "$MonoServerPort" ] && \
+ MonoServerPort=8080
+
+ MONO_SERVER_OPTS="--root ${MonoServerRootDir} \
+--applications ${MonoApplications} --nonstop"
+
+ [ -n "$MonoApplicationsConfigDir" ] && \
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--appconfigdir ${MonoApplicationsConfigDir}"
+
+ case "$MonoServerChannel" in
+ "tcp" )
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--address ${MonoServerAddress} --port ${MonoServerPort}"
+ ;;
+
+ "unix" )
+ [ -f "$UnixSocketFileName" ] && rm -f $UnixSocketFileName
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--filename ${UnixSocketFileName}"
+ ;;
+
+ * )
+ eerror "Please set a valid value for MonoServerChannel"
+ return 1
+ ;;
+ esac
+
+ export MONO_SHARED_DIR=/tmp
+
+ ebegin "Starting mod-mono-server"
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/mod-mono-server.pid \
+ --chuid apache \
+ --exec /usr/bin/mono /usr/bin/mod-mono-server.exe \
+ -- $MONO_SERVER_OPTS
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping mod-mono-server"
+
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/mod-mono-server.pid
+
+ eend $?
+}